> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca i cicli di consumo

<div id="permissions">
  ## Autorizzazioni
</div>

Richiede un utente di servizio con l'autorizzazione `ViewAccountConsumption` a livello Enterprise.


## OpenAPI

````yaml it/v3-openapi.yaml GET /v3/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: API Devin v3 con autenticazione utente di servizio e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: Elenca i cicli di consumo
      operationId: handle_get_consumption_cycles_v3_enterprise_consumption_cycles_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ConsumptionCycle_'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    PaginatedResponse_ConsumptionCycle_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Cursore per ottenere la pagina successiva oppure None se questa è
            l’ultima pagina.
          title: End Cursor
        has_next_page:
          default: false
          description: Indica se sono disponibili altri elementi dopo questa pagina.
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ConsumptionCycle'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Conteggio totale opzionale (può essere omesso per migliorare le
            prestazioni).
          title: Total
      required:
        - items
      title: PaginatedResponse[ConsumptionCycle]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConsumptionCycle:
      properties:
        after:
          title: After
          type: integer
        before:
          title: Before
          type: integer
      required:
        - before
        - after
      title: ConsumptionCycle
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credenziale dell''utente del servizio (prefisso: cog_)'
      scheme: bearer
      type: http

````